<?php

require_once "../../../app/model/db.class.php";

function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function descrip2($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function jornada($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         
         
        $result2=$obj->consulta("select * from jornadas where codigo='".$rs['jornada']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['jornada'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

  function sede($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);


        $result2=$obj->consulta("select * from sedes where codigo='".$rs['sede']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['sede'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

if ($_REQUEST['accion']=='info_comp_codigo'){

    $obj = new database();

    $codigo=$_REQUEST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
    $row=$obj->fetch_assoc($resultado);


    header("Content-type:text/xml");
    $textoXML= "<?xml version='1.0' encoding='ISO-8859-1'?>";
    if($obj->numero_de_filas($resultado)<>0)
    {
     $infoper=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
     $datos=$obj->fetch_assoc($infoper);

     $textoXML.="<datos>";
     $textoXML.="<nombre>".($datos['p_apellido']." ".$datos['s_apellido']." ".$datos['p_nombre']." ".$datos['s_nombre'])."</nombre>";
     $textoXML.="<codg>".$row['grado']."</codg>";
     $textoXML.="<txcodg>".descrip('grados', $row['grado'])."</txcodg>";
     $textoXML.="<codc>".$row['curso']."</codc>";
     $textoXML.="<txcodc>".descrip2('cursos',$row['curso'], $row['grado'])."</txcodc>";

     $jonada=jornada('cursos',$row['curso'], $row['grado']);
     $textoXML.="<codjor>".$jonada[0]."</codjor>";
     $textoXML.="<desjor>".($jonada[1])."</desjor>";


     $sede=sede('cursos',$row['curso'], $row['grado']);
     $textoXML.="<codsed>".$sede[0]."</codsed>";
     $textoXML.="<dessed>".$sede[1]."</dessed>";

     $textoXML.="</datos>";


    }else{
     $textoXML.="<datos>no</datos>";
    }

    echo $textoXML;

   

}


if ($_REQUEST['accion']=='generar_leyenda'){

    $cod=$_REQUEST["cod"];
    $descod=$_REQUEST["descod"];
    $grad=$_REQUEST["grad"];
    $desgras=$_REQUEST["desgras"];
    $cur=$_REQUEST["cur"];
    $descur=$_REQUEST["descur"];
    $jor=$_REQUEST["jor"];
    $desjor=$_REQUEST["desjor"];
    $sede=$_REQUEST["sede"];
    $dessede=$_REQUEST["dessede"];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select * from alumnos where codigo='".$cod."';");


    if($ob->numero_de_filas($query) > 0) // existe -> datos correctos
    {
         $data= $obj->fetch_assoc($query);
    }

    //-----------------------------
    
    $query=$obj->consulta("select * from matriculas where codigo='".$cod."';");


    if($ob->numero_de_filas($query) > 0) // existe -> datos correctos
    {
         $matricula= $obj->fetch_assoc($query);
    }
       
    //-----------------------------
    $infogrado=$obj->consulta("select * from grados where codigo='".$grad."';");

    if($ob->numero_de_filas($infogrado) > 0) // existe -> datos correctos
    {
      $grado = $obj->fetch_assoc($infogrado);
    }

    
    $nivel=($grado['nivel']);


    //--------------------------------
     $infocur=$obj->consulta("select * from cursos where grado='".$grad."' and codigo='".$cur."';");

    if($ob->numero_de_filas($infocur) > 0) // existe -> datos correctos
    {
      $curso = $obj->fetch_assoc($infocur);
    }

    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."';");

    if($ob->numero_de_filas($infjor) > 0) // existe -> datos correctos
    {
      $jornada = $obj->fetch_assoc($infjor);
    }

    $brleyen=$obj->consulta('truncate table constancia');

     $anyo=$obj->consulta("select * from parametros");
     $row11=$obj->fetch_assoc($anyo);
    
    $leyen="Que ".($descod);
    
    $leyen.=", curs&oacute; en esta Instituci&oacute;n Educativa los estudios correspondiente al ".$_REQUEST['tx'];
    $leyen.=" del grado ".$grado['descripcion']." de  ".$nivel.", jornada " .$jornada['descripcion'] ;
    $leyen.=" durante el a&ntilde;o Lectivo ".$row11['anolectivo'].", con la siguiente intensidad horaria y valoraciones.";

    echo $leyen;

    $obj->disconnect();
}


if ($_REQUEST['accion']=='guardar_constancia'){

    $numero=$_REQUEST['numero'];
    $leyen=$_REQUEST['leyenda'];

    //echo 'destino: '.$destino.'     leyenda: '.$leyen;

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");     
    $resultado=$obj->consulta("insert into constancia (leyenda,destino) values('".($leyen)."','');");    
    $resultado=$obj->consulta("update parametros set no_certificado='".$numero."' ;");
    $obj->disconnect();
}


if($_REQUEST['accion']=='numero'){
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from parametros;");
    $row=$obj->fetch_assoc($resultado);
    $cad=$row['no_certificado'].';'.$row['no_folio'];
    echo $cad;
    $obj->disconnect();
}

?>